LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::linguistic2::DictionaryEventFlags Constant Group Referencepublished

flags used for the event type in dictionary events. More...

## Variables
const short | ADD_ENTRY = 1
| indicates that at least one entry has been added. More...
const short | DEL_ENTRY = 2
| indicates that at least one entry has been deleted. More...
const short | CHG_NAME = 4
| the dictionary's name has changed. More...
const short | CHG_LANGUAGE = 8
| the dictionary's language has changed. More...
const short | ENTRIES_CLEARED = 16
| all entries have been removed. More...
const short | ACTIVATE_DIC = 32
| used when the dictionary was activated. More...
const short | DEACTIVATE_DIC = 64
| used when the dictionary was deactivated. More...

## Detailed Description

flags used for the event type in dictionary events.

These flags represent the type of events that a dictionary may broadcast.

See also
  com::sun::star::linguistic2::DictionaryEvent

## Variable Documentation

## ◆ ACTIVATE_DIC

const short ACTIVATE_DIC = 32

used when the dictionary was activated.

## ◆ ADD_ENTRY

const short ADD_ENTRY = 1

indicates that at least one entry has been added.

## ◆ CHG_LANGUAGE

const short CHG_LANGUAGE = 8

the dictionary's language has changed.

## ◆ CHG_NAME

const short CHG_NAME = 4

the dictionary's name has changed.

## ◆ DEACTIVATE_DIC

const short DEACTIVATE_DIC = 64

used when the dictionary was deactivated.

## ◆ DEL_ENTRY

const short DEL_ENTRY = 2

indicates that at least one entry has been deleted.

## ◆ ENTRIES_CLEARED

const short ENTRIES_CLEARED = 16

all entries have been removed.